using System;
using System.Collections.Generic;
using System.Text;

namespace FormulaEditor
{
    public class ObjectSymbolDetector : IOperationDetector
    {
        static public readonly ObjectSymbolDetector Object = new ObjectSymbolDetector();

        private ObjectSymbolDetector()
        {
        }

        #region IOperationDetector Members

        public IOperationAcceptor Detect(MathSymbol s)
        {
            if (s is ObjectedSymbol)
            {
                ObjectedSymbol os = s as ObjectedSymbol;
                return os;
            }
            return null;
        }

        #endregion
    }
}
